PERFORMOUS(6)

NAME
performous - The free music and rhythm game

DESCRIPTION
Performous is a free cross-platform karaoke, band and dancing game, where one or more players perform a song and the game scores their performances based on timing and accuracy. Performous supports songs in UltraStar, Frets on Fire and StepMania formats. Also, microphones and instruments from SingStar, Guitar Hero and Rock Band as well as some dance pads are autodetected. If you have trouble with the program (no songs found, audio not working, etc), try running it on a terminal. Some useful debug information is printed there.

  Generic options:

-h [ --help ]
    you are viewing it

-l [ --log ] arg
    subsystem name or minimum level to log

-v [ --version ]
    display version number

--songlist arg
    save a list of songs in the specified folder

  Configuration options:

--audio arg
    specify an audio device to use

--audiohelp
    print audio related information

--jstest
    utility to get joystick button mappings

    any arguments without a switch are interpreted as song folders.

NAVIGATION
In-game navigation uses the following keys:

  Global shortcuts:

Left/Right/Up/Down/
    Change selected option/song

Enter
    Enter selection

Esc Exit the current screen/mode

Alt+Enter
    Switch between full screen and windowed modes

Pause or Ctrl+P
    Pause audio/game

Ctrl+Up/Down
    Change audio volume

  Song selection:

Up/Down
    Switch the sort order (song name, artist, edition, genre or song folder path)

Any text
    Search for songs (write the text to find, uses regexp format)

Tab Randomize songs (sort them again)

Ctrl+R
    Refresh song list (reload from disk)

F4  Enter jukebox mode (play songs entirely, hide song browser, allow seeking with Up/Down)

  Singing screen:

Ctrl+Left/Right/Home
    Fast forward or rewind the song

Enter
    Skip long instrumental breaks, or get the grading instantly at the end of song.

Ctrl+S
    Toggle synth mode (synthesized tone for notes)

Ctrl+F1/F2
    Adjust audio/video sync. Use if the notes pass the black line at incorrect time.

Ctrl+F3/F4
    Adjust audio roundtrip latency. Use if the pitch wave does not match the notes, when you match your timing to what you hear.

Ctrl+F5/F6
    The total of USB controller latency combined with audio output latency. Adjust so that you can hit the notes best when playing by ear (not looking on screen).

Ctrl+K
    Toggle karaoke mode (hide notes and scores)

Ctrl+W
    Toggle pitch wave rendering (only when karaoke mode is disabled)

Ctrl+R
    Hot reload song from disk (useful for making or repairing songs)

AUDIO DEVICE CONFIGURATION
Performous normally autodetects microphones and playback devices correctly, but if this fails on your machine, you will need to configure them in the Audio Devices -screen. Advanced configuration is possible through the command line, just remember to enter the configuration menu and press Ctrl+S to save them to your config file so that they don't need to be specified every time the program starts. The list of available PortAudio devices is printed to the console, but it can also be seen from the GUI.

SEE ALSO
You can find more information at http://performous.org/ or http://wiki.performous.org or http://sourceforge.net/projects/performous/